%define section free
%define Name TJDO

Summary:        Triactive JDO
Name:           tjdo
Version:        2.0
Release:        1jpp
Epoch:          0
License:        Apache Software License
URL:            http://tjdo.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        TJDO_2_0-src.zip
Patch0:         tjdo-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-dbcp >= 0:1.1
BuildRequires:  jakarta-commons-pool >= 0:1.1
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jdo >= 0:1.0.1
BuildRequires:  jta >= 0:1.0.1
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  mysql-connector-java >= 0:3.0.8
BuildRequires:  oracle-jdbc-thin
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-dbcp >= 0:1.1
Requires:  jakarta-commons-pool >= 0:1.1
Requires:  jdo >= 0:1.0.1
Requires:  jta >= 0:1.0.1
Requires:  log4j >= 0:1.2.8
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis >= 0:1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
TriActive JDO (TJDO) is an open source implementation 
of Sun's JDO specification (JSR 12), designed to support 
transparent persistence using any JDBC-compliant database. 
Although the project is formally in beta release, TJDO is 
currently deployed and running successfully in a number of 
commercial installations. 
The current version has been tested successfully using 
Cloudscape, DB2, Firebird, MySQL, Oracle 8i, PostgreSQL, 
SAP DB, and MS SQL Server.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -T -c -n %{name}
(cd ..
unzip -q %{SOURCE0}
)
find . -name "*.jar" -exec rm {} \;
(cd lib
ln -s $(find-jar commons-collections) commons-collections.jar
ln -s $(find-jar commons-dbcp) commons-dbcp.jar
ln -s $(find-jar commons-pool) commons-pool.jar
ln -s $(find-jar jdo/jdo) jdo.jar
ln -s $(find-jar jdo/jdori) jdori.jar
ln -s $(find-jar jdo/jdori-enhancer) jdori-enhancer.jar
ln -s $(find-jar junit) junit.jar
ln -s $(find-jar log4j) log4j.jar
ln -s $(find-jar jta) jta.jar
ln -s $(find-jar xerces-j2) xerces-j2.jar
ln -s $(find-jar xml-commons-apis) xml-commons-apis.jar
ln -s $(find-jar oracle-jdbc-thin) classes12.jar
)
cp build.xml build.xml.sav
#mkdir -p lib/test/mysql
#(cd lib/test/mysql
#ln -s $(find-jar mysql-connector-java) mysql-connector-java.jar
#cat > db.properties <<EOT
#database.driver=com.mysql.jdbc.Driver
#database.url=jdbc\:mysql\://localhost/test
#database.user=mysql
#database.password=
#database.noviewsupport=true
#EOT
#)
#mkdir -p lib/test/oracle8
#(cd lib/test/oracle8
#ln -s $(find-jar classes12) classes12.jar
#cat > db.properties <<EOT
#database.driver=oracle.jdbc.driver.OracleDriver
#database.url=jdbc\:oracle\:thin\:@localhost\:1521\:db01
#database.user=scott
#database.password=tiger
#EOT
#)

%patch0

%build
#ant -Ddb=oracle8 all
ant jar docs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 %{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/api

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog

* Tue Mar 30 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-1jpp
- First JPackage release
